<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateStudentsTable extends Migration {

	public function up()
	{
		Schema::create('students', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('parent_first_name');
			$table->string('parent_last_name');
			$table->string('address');
			$table->string('city');
			$table->string('state');
			$table->integer('phone');
			$table->string('email');
			$table->string('preferred_contact_method');
			$table->string('child_name');
			$table->tinyInteger('child_age');
			$table->text('notes');
			$table->boolean('active')->default(0);
			$table->integer('lesson_id');
			$table->integer('session_id');
			$table->string('stripe_email');
			$table->string('stripe_token');
			$table->string('stripe_id');
		});
	}

	public function down()
	{
		Schema::drop('students');
	}
}